Subject: [Pce] [PCE]:New Version Notification for draft-peng-pce-entropy-label-position-05.txt

From: <[email-masked]>
Date: Sat, 20 Feb 2021 16:15:22 +0800 (CST)

Dear Dhruv,Stephane,Zhenbin Li,Tarek and WG,

I just submitted a new version of the draft-peng-pce-entropy-label-position-05. This draft has been presented in IETF 106 and 107. Many thanks for your comments and discussions. 

First, I think we have the consensus that in case of inter-domain scenario, PCE would be useful for computing both SR path and the placement of entropy labels. We should propose a set of extensions for PCEP.

Second, I fully agree with that the ingress MUST support the capability of  inserting multiple ELI/ELs and it needs to advertise the capability to PCE. So I think we should add the capability in OPEN message from PCC to PCE. In the current version, we define the E bit for a PCC  to  indicate that it supports the capability of inserting multiple ELI/EL pairs and and supports the results of SR path with ELP from PCE. What is your suggestion? If the E bit is enough? Or should we define the BGP/IGP extension?

Finally, thanks to Zhenbin, I need to clarify that the ELI/EL pairs are calculated for a specific traffic flow but the placement of the ELI/EL pairs are calculated for a SR-path. In our draft, we propose the PCEs perform computation of SR-path with the the placement of the ELI/EL pairs and the value of ELI/EL pairs are calculated  at the ingress.

I look forward and appreciate any comment and suggestion from you.

Thanks,

Quan

主 题 ：New Version Notification for draft-peng-pce-entropy-label-position-05.txt

A new version of I-D, draft-peng-pce-entropy-label-position-05.txt
has been successfully submitted by Quan Xiong and posted to the
IETF repository.
 
Name:        draft-peng-pce-entropy-label-position
Revision:    05
Title:        PCEP Extension for SR-MPLS Entropy Label Position
Document date:    2021-02-19
Group:        Individual Submission
Pages:        9
URL:            https://www.ietf.org/archive/id/draft-peng-pce-entropy-label-position-05.txt
Status:         https://datatracker.ietf.org/doc/draft-peng-pce-entropy-label-position/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-peng-pce-entropy-label-position
Htmlized:       https://tools.ietf.org/html/draft-peng-pce-entropy-label-position-05
Diff:           https://www.ietf.org/rfcdiff?url2=draft-peng-pce-entropy-label-position-05
 
Abstract:
   This document proposes a set of extensions for PCEP to configure the
   entropy label position for SR-MPLS networks.

 
Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.
 
The IETF Secretariat

---

From: Jeff Tantsura <[email-masked]>
Date: Sat, 20 Feb 2021 17:40:21 -0800

Hi,

It is the job of ingress router to impose the SID(label) stack that would include one or more pairs of ELI/EL. This is always a subject to MSD limitations (per platform/per LC if applicable). 
The draft is not discussing implications of these limitations , which I find rather unfortunate.

Regards,
Jeff

> On Feb 20, 2021, at 00:15, [email-masked] wrote:
> 
> 
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

---

From: <[email-masked]>
Date: Mon, 22 Feb 2021 15:45:57 +0800 (CST)

Hi Jeff,

Many thanks for your review and comments! It is a good point.

The limitations including MSD and ERLD has been described in detail in RFC8662. And I need to clarify this in my background. How about adding texts as following shown.

"[RFC8662] proposes to use entropy labels for SR-MPLS networks and mutiple <ELI, EL> pairs SHOULD be inserted in the SR-MPLS label stack. As specified in section 7.2 [RFC8662], the criteria may be defined to decide the placement of entropy labels at the ingress node. Multiple limitations MUST be taken into account when inserting <ELI,EL> pairs including Entropy Readable Label Depth (ERLD) and Maximum SID Depth (MSD) etc. The ERLD is defined as the number of labels which means that the node will perform load-balancing using the ELI/EL pairs. And each ELI/EL pair must be within the ERLD of the node.  Moreover, in an SR-MPLS network, the MSD defines the maximum number of any kind of labels including SR labels and entropy labels and it is a limit when the ingress node imposing ELI/EL pairs on the SR label stack." 

"As described in [RFC8662], an external controller (e.g PCE) can also be used to program a label stack on a SR node. MSD and ERLD information has been advertised to the controller (which is done is outside the scope of this document.) The controller may configure the Entropy Label Position (ELP) including the number and the position of the ELI/ELs pairs which need to be inserted into the SR label stack. The PCE as a controller could be used to perform the TE path computation as well as ELP which is useful especially in inter-domain scenarios.  "

Regards,

Quan

原始邮件

发件人：JeffTantsura
收件人：熊泉00091065;
抄送人：[email-masked];[email-masked];[email-masked];[email-masked];[email-masked];[email-masked];[email-masked];
日 期 ：2021年02月21日 09:40
主 题 ：Re: [Pce] [PCE]:New Version Notification for draft-peng-pce-entropy-label-position-05.txt

Hi,

Regards,Jeff

Thanks,

Quan

 
 
Abstract:

 
 
The IETF Secretariat